/*******************************************************************/
/*  Przykladowy program obslugi klawiatury z wykorzystaniem INT 9  */
/*******************************************************************/
#include "dos.h"
#include "conio.h"
#include "stdio.h"

void interrupt (*old_int_09)(void);	// wskaznik na funkcje przerwania

void interrupt kbd_int(void)		// przerwaniowy odbior klawiszy
{ 
	static unsigned char offset, znak;

	disable();				// zablokuj przerwania
	old_int_09();				// stara funkcja obslugi przerwania

	//offset = peek(    ,    );		// offset do odczytu znaku w buforze
	//znak = peekb(    ,      );		// odczytaj bajt z bufora klawiatury
	//if(           )			// jesli kod ASCII >= 32
	  //pokeb(    ,       ,       );	// podmien kod ASCII w buforze

	enable();				// odblokuj przerwania
}

void main(void)
{ 
	char tab[85];

	clrscr();				// wyczysc ekran
	disable();				// zablokuj przerwania
	old_int_09 = getvect(0x09);		// wskaznik do starego przerwania
	setvect(0x09, kbd_int);		// instaluj nowe przerwanie
	enable();				// odblokuj przerwania

	printf("Wprowadz ciag znakow zakonczony Enterem (max 80 znakow)\n");
	gets(tab);                            // wczytaj lancuch znakow

	disable();				// wyczysc ekran
	setvect(0x09, *old_int_09);		// przywroc stare przerwanie
	enable();				// odblokuj przerwania

	// keep(0,1300);			// pozostaw program jako rezydentny
}
