#include <dos.h>
#include <stdio.h>
#include <stdlib.h>

unsigned char czytajLicznik( unsigned long * );

void main( int argc, char *argv[] )
{
	float sekundy;
	unsigned long start, koniec, wynik;

	if ( argc != 2 )
	{
		printf( "Skadnia: %s \"polecenie\"\7",argv[0] );
		exit( 1 );
	}

	czytajLicznik( &start );

	system( argv[1] );

	czytajLicznik( &koniec );

	if ( koniec < start )
		koniec += 1573040L;

	wynik = koniec-start;
	sekundy = wynik / 18.2;

	printf( "\nPolecenie wykonano w %f sek.", sekundy );
	getchar();
	return;
}

unsigned char czytajLicznik( unsigned long *ile )
{
	union REGS regs;
	unsigned long pomocnicza;

	regs.h.ah = 0;
	int86( 0x1a, &regs, &regs );

	pomocnicza = regs.x.cx;
	pomocnicza <<= 16;
	pomocnicza |= regs.x.dx;
	*ile = pomocnicza;
	return( regs.h.al );
}
