/*******************************************************************/
/* Wyswietlanie stanu klawiszy specjalnych: Alt, Ctrl, Shift, ...  */
/*******************************************************************/
#include "dos.h"
#include "conio.h"
#include "stdio.h"

char koniec=0;
unsigned char far *ptr1, far *ptr2;
unsigned char far *ptr3, far *ptr4;
char LAlt,   PAlt;		// Lewy, Prawy Alt
char LShift, PShift;		// Lewy, Prawy Shift
char LCtrl,  PCtrl;		// Lewy, Prawy Ctrl
char NLck,CsLck,SrLck;		// Num Lock, Caps Lock, Scroll Lock

void czytaj_klaw_dod(void)
{  
	union REGS regs;
   unsigned int ax;

   regs.h.ah = 0x12;	// funkcja odczytu stanu klawiszy dodatkowych
   int86(0x16, &regs, &regs);
   ax=regs.x.ax;	// 2 bajty statusu klawiszy dodatkowych (AH,AL)

   //LAlt   = 	// Lewy  Alt
   //PAlt   = 	// Prawy Alt
   //LCtrl  = 	// Lewy  Ctrl
   //PCtrl  =    	// Prawy Ctrl
   //LShift = 	// Lewy  Shift
   //PShift = 	// Prawy Shift
   //NLck   = 	// Num Lock
   //CsLck  = 	// Caps Lock
   //SrLck  = 	// Scroll Lock
}

void main(void)
{ 
	int c=0;
	clrscr();
	_setcursortype(_NOCURSOR);
	gotoxy(25,24); printf("Nacisniecie ESC konczy program");

  //ptr1 = MK_FP(    ,    );	// Bajt 40:17h (0x0417) - klawisze specjalne
  //ptr2 = MK_FP(    ,    );	// Bajt 40:18h (0x0418) - klawisze specjalne
  //ptr3 = MK_FP(    ,    );	// Bajt 40:96h (0x0496) - klawisze specjalne
  //ptr4 = MK_FP(    ,    );	// Bajt 40:97h (0x0497) - klawisze specjalne

	while(!koniec)
	{
		czytaj_klaw_dod();		// czytaj stan klawiszy dodatkowych

		//gotoxy(1, 1); printf("40:17h => %4X     40:18h => %4X ", *ptr1, *ptr2);
		//gotoxy(1, 2); printf("40:96h => %4X     40:97h => %4X ", *ptr3, *ptr4);
		gotoxy(1, 4); printf("Lewy  Alt  : %s", LAlt   ? "Tak" : "Nie");
		gotoxy(1, 5); printf("Prawy Alt  : %s", PAlt   ? "Tak" : "Nie");
		gotoxy(1, 6); printf("Lewy  Ctrl : %s", LCtrl  ? "Tak" : "Nie");
		gotoxy(1, 7); printf("Prawy Ctrl : %s", PCtrl  ? "Tak" : "Nie");
		gotoxy(1, 8); printf("Lewy  Shift: %s", LShift ? "Tak" : "Nie");
		gotoxy(1, 9); printf("Prawy Shift: %s", PShift ? "Tak" : "Nie");
		gotoxy(1,10); printf("Num Lock   : %s", NLck   ? "Tak" : "Nie");
		gotoxy(1,11); printf("Caps Lock  : %s", CsLck  ? "Tak" : "Nie");
		gotoxy(1,12); printf("Scroll Lock: %s", SrLck  ? "Tak" : "Nie");

		if(kbhit()) 
			c=getch();
		if(c==27) 
			koniec=1;
	}
	_setcursortype(_NORMALCURSOR);
}
